Authen::Passphrase::RejectAll(3pm)

NAME
Authen::Passphrase::RejectAll - reject all passphrases

SYNOPSIS
        use Authen::Passphrase::RejectAll;

        $ppr = Authen::Passphrase::RejectAll->new;

        $ppr = Authen::Passphrase::RejectAll
                ->from_crypt("*");

        $ppr = Authen::Passphrase::RejectAll
                ->from_rfc2307("{CRYPT}*");

        if($ppr->match($passphrase)) { ...

        $passwd = $ppr->as_crypt;
        $userPassword = $ppr->as_rfc2307;

DESCRIPTION
An object of this class is a passphrase recogniser that accepts any passphrase whatsoever. This is a subclass of Authen::Passphrase, and this document assumes that the reader is familiar with the documentation for that class.

This type of passphrase recogniser is obviously of no use at all in controlling access to any resource. Its use is to permit a resource to be completely inaccessible in a system that expects some type of passphrase access control.

CONSTRUCTORS

Authen::Passphrase::RejectAll->new
    Returns a reject-all passphrase recogniser object. The same object is returned from each call.

Authen::Passphrase::RejectAll->from_crypt(PASSWD)
    Returns a reject-all passphrase recogniser object. The same object is returned from each call. The argument, a crypt string, must be between one and twelve (inclusive) characters long and must not start with "$".

Authen::Passphrase::RejectAll->from_rfc2307(USERPASSWORD)
    Generates a new reject-all passphrase recogniser object from an RFC 2307 string. The string must consist of "{CRYPT}" (case insensitive) followed by an acceptable crypt string.

METHODS

$ppr->match(PASSPHRASE)
$ppr->as_crypt
$ppr->as_rfc2307
    These methods are part of the standard Authen::Passphrase interface. The "match" method always returns false.

SEE ALSO
Authen::Passphrase

AUTHOR
Andrew Main (Zefram) <zefram@fysh.org>

COPYRIGHT
Copyright (C) 2006, 2007, 2009, 2010, 2012 Andrew Main (Zefram) <zefram@fysh.org>

LICENSE
This module is free software; you can redistribute it and/or modify it under the same terms as Perl itself.